com.opensymphony.xwork2.interceptor

## Class Interceptor.LegacyAdapter

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.Interceptor.LegacyAdapter

- All Implemented Interfaces:
    Serializable, Interceptor
  Direct Known Subclasses:
    ConditionalInterceptor.LegacyAdapter
  Enclosing interface:
    Interceptor

      public static class Interceptor.LegacyAdapter
      extends Object
      implements Interceptor

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `Interceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LegacyAdapter(Interceptor adaptee)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Called to let an interceptor clean up any resources it has allocated.
    `Interceptor` | `getAdaptee()`
    `void` | `init()` Called after an interceptor is created, but before any requests are processed using `intercept` , giving the Interceptor a chance to initialize any needed resources.
    `String` | `intercept(ActionInvocation invocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt, intercept`

- - ### Constructor Detail

    - #### LegacyAdapter

          protected LegacyAdapter(Interceptor adaptee)

  - ### Method Detail

    - #### getAdaptee

          public Interceptor getAdaptee()

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Throws:
        `Exception`

    - #### destroy

          public void destroy()

      Description copied from interface: `Interceptor`
      Called to let an interceptor clean up any resources it has allocated.
      Specified by:
        `destroy` in interface `Interceptor`

    - #### init

          public void init()

      Description copied from interface: `Interceptor`
      Called after an interceptor is created, but before any requests are processed using `intercept` , giving the Interceptor a chance to initialize any needed resources.
      Specified by:
        `init` in interface `Interceptor`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.